### Hierarchy

- Carousel

### Implements

- IRenderable
- IStackeable

## Index

### Constructors

- constructor

### Properties

- carousel
- cellContainer
- spec

### Methods

- getCurrent
- init
- next
- previous
- render
- resetCells

## Constructors

### constructor

- new Carousel(message: ISpecification): Carousel

- - Defined in lib/renderable/carousel/index.ts:28

  #### Parameters

  - ##### message: ISpecification

  #### Returns Carousel

## Properties

### Private carousel

carousel: HTMLDivElement

- Defined in lib/renderable/carousel/index.ts:28

### Private cellContainer

cellContainer: HTMLDivElement

- Defined in lib/renderable/carousel/index.ts:27

### spec

spec: ISpecification

- Defined in lib/renderable/carousel/index.ts:26

## Methods

### Private getCurrent

- getCurrent(): number

- - Defined in lib/renderable/carousel/index.ts:157

  #### Returns number

### Private init

- init(current: number): void

- - Defined in lib/renderable/carousel/index.ts:108

  #### Parameters

  - ##### current: number

  #### Returns void

### Private next

- next(current: number): void

- - Defined in lib/renderable/carousel/index.ts:122

  #### Parameters

  - ##### current: number

  #### Returns void

### Private previous

- previous(current: number): void

- - Defined in lib/renderable/carousel/index.ts:140

  #### Parameters

  - ##### current: number

  #### Returns void

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IStackeable.render

  - Defined in lib/renderable/carousel/index.ts:40

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

  the element which was rendered

### Private resetCells

- resetCells(): void

- - Defined in lib/renderable/carousel/index.ts:171

  #### Returns void

Generated using TypeDoc